import numpy as np

X = np.loadtxt( "datos.txt" )
print( X.shape )

# Calculamos los valores medios
m = np.mean( X, axis=0 )
print( m.shape )

X[:,0] = X[:,0] - m[0]
X[:,1] = X[:,1] - m[1]

# Ya tenemos los datos transladados al
# valor de la media

# Calculamos la matriz de covarianza
C = X.T @ X

# Calculamos la eigendescomposición
e, V = np.linalg.eig( C )
print(e)
print(V)

# Los datos multiplicados por la
# matriz de eigenvectores. OJO: Los eigenvalores
# no están ordenados, por lo que la matriz de eigenvectores
# debe ordenarse en sus columnas según el valor
# correspondiente de los eigenvalores, del mayor al menor.
X2 = X @ V
#   nx2 2x2 = n x 2
print( X2 )
